#include "text.h"
#include "histogram.h"
#include "svg.h"
#include "histogram_internal.h"
#include <iostream>
#include <vector>
using namespace std;
struct Input {
    vector<double> numbers;
    size_t bin_count{};
};
Input input_data()
{
    size_t number_count;
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }
    cin >> in.bin_count;
    return in;
}
int main()
{
    Input in = input_data();
    auto ch = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(ch);
}